import * as core from "@terrascript/core";

export interface DomainIdentityArgs extends core.ResourceArgs {
  domain: string | core.StringOut;
}

export class DomainIdentity extends core.Resource<DomainIdentityArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String)
  public domain!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public verificationToken!: string | core.StringOut;

  constructor(name: string, args?: DomainIdentityArgs) {
    super(name, "aws_ses_domain_identity", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
